=== libsocket/C++/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.13

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && /usr/bin/cpack --config ./CPackSourceConfig.cmake /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# The main all target
all: cmake_check_build_system
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(CMAKE_COMMAND) -E cmake_progress_start /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/CMakeFiles /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/C++/CMakeFiles/progress.marks
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/all
	$(CMAKE_COMMAND) -E cmake_progress_start /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
C++/CMakeFiles/socket++.dir/rule:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f CMakeFiles/Makefile2 C++/CMakeFiles/socket++.dir/rule
.PHONY : C++/CMakeFiles/socket++.dir/rule

# Convenience name for target.
socket++: C++/CMakeFiles/socket++.dir/rule

.PHONY : socket++

# fast build rule for target.
socket++/fast:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/build
.PHONY : socket++/fast

dgramclient.o: dgramclient.cpp.o

.PHONY : dgramclient.o

# target to build an object file
dgramclient.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramclient.cpp.o
.PHONY : dgramclient.cpp.o

dgramclient.i: dgramclient.cpp.i

.PHONY : dgramclient.i

# target to preprocess a source file
dgramclient.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramclient.cpp.i
.PHONY : dgramclient.cpp.i

dgramclient.s: dgramclient.cpp.s

.PHONY : dgramclient.s

# target to generate assembly for a file
dgramclient.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramclient.cpp.s
.PHONY : dgramclient.cpp.s

dgramoverstream.o: dgramoverstream.cpp.o

.PHONY : dgramoverstream.o

# target to build an object file
dgramoverstream.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramoverstream.cpp.o
.PHONY : dgramoverstream.cpp.o

dgramoverstream.i: dgramoverstream.cpp.i

.PHONY : dgramoverstream.i

# target to preprocess a source file
dgramoverstream.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramoverstream.cpp.i
.PHONY : dgramoverstream.cpp.i

dgramoverstream.s: dgramoverstream.cpp.s

.PHONY : dgramoverstream.s

# target to generate assembly for a file
dgramoverstream.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/dgramoverstream.cpp.s
.PHONY : dgramoverstream.cpp.s

exception.o: exception.cpp.o

.PHONY : exception.o

# target to build an object file
exception.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/exception.cpp.o
.PHONY : exception.cpp.o

exception.i: exception.cpp.i

.PHONY : exception.i

# target to preprocess a source file
exception.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/exception.cpp.i
.PHONY : exception.cpp.i

exception.s: exception.cpp.s

.PHONY : exception.s

# target to generate assembly for a file
exception.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/exception.cpp.s
.PHONY : exception.cpp.s

framing.o: framing.cpp.o

.PHONY : framing.o

# target to build an object file
framing.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/framing.cpp.o
.PHONY : framing.cpp.o

framing.i: framing.cpp.i

.PHONY : framing.i

# target to preprocess a source file
framing.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/framing.cpp.i
.PHONY : framing.cpp.i

framing.s: framing.cpp.s

.PHONY : framing.s

# target to generate assembly for a file
framing.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/framing.cpp.s
.PHONY : framing.cpp.s

inetbase.o: inetbase.cpp.o

.PHONY : inetbase.o

# target to build an object file
inetbase.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetbase.cpp.o
.PHONY : inetbase.cpp.o

inetbase.i: inetbase.cpp.i

.PHONY : inetbase.i

# target to preprocess a source file
inetbase.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetbase.cpp.i
.PHONY : inetbase.cpp.i

inetbase.s: inetbase.cpp.s

.PHONY : inetbase.s

# target to generate assembly for a file
inetbase.cpp.s:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetbase.cpp.s
.PHONY : inetbase.cpp.s

inetclientdgram.o: inetclientdgram.cpp.o

.PHONY : inetclientdgram.o

# target to build an object file
inetclientdgram.cpp.o:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetclientdgram.cpp.o
.PHONY : inetclientdgram.cpp.o

inetclientdgram.i: inetclientdgram.cpp.i

.PHONY : inetclientdgram.i

# target to preprocess a source file
inetclientdgram.cpp.i:
	cd /usr/src/postfix-tempmail2/postfix-tempmail2/libsocket && $(MAKE) -f C++/CMakeFiles/socket++.dir/build.make C++/CMakeFiles/socket++.dir/inetclientdgram.cpp.i
.PHONY : inetclientdgram.cpp.i

inetclientdgram.s: inetclientdgram.cpp.s

.PHONY : inetclientdgram.s

# target to generate assembly for a file
inetclientdgram.cpp.s:
