=== debian/changelog ===
postfix-tempmail2 (1.9.18) stable; urgency=medium

  * Upgrade Botan to 2.18.0

 -- Bastien Durel <bastien@durel.org>  Thu, 15 Apr 2021 16:02:59 +0200

postfix-tempmail2 (1.9.17) stable; urgency=medium

  * Upgrade Botan to 2.17.1

 -- Bastien Durel <bastien@durel.org>  Thu, 12 Oct 2020 11:36:41 +0100

postfix-tempmail2 (1.9.16) stable; urgency=medium

  * Upgrade Botan to 2.16.0

 -- Bastien Durel <bastien@durel.org>  Mon, 07 Oct 2020 09:54:34 +0200

postfix-tempmail2 (1.9.12) stable; urgency=medium

  * Upgrade Botan to 2.12.0

 -- Bastien Durel <bastien@durel.org>  Mon, 07 Oct 2019 16:45:37 +0200

postfix-tempmail2 (1.9.11) stable; urgency=medium

  * Upgrade Botan to 2.11.0
  * Update for buster

 -- Bastien Durel <bastien@durel.org>  Thu, 25 Jul 2019 09:49:43 +0200

postfix-tempmail2 (1.9.1) stable; urgency=medium

  * Remove base32 module from botan, as we use cppcodec's one

 -- Bastien Durel <bastien@durel.org>  Wed, 09 Jan 2019 17:42:46 +0100

postfix-tempmail2 (1.8.9) stable; urgency=medium

  * Add base58 encoding (keep base32 as default, seems better)

 -- Bastien Durel <bastien@durel.org>  Wed, 09 Jan 2019 17:22:07 +0100

postfix-tempmail2 (1.7.9) stable; urgency=medium

  * Upgrade Botan to 2.9.0

 -- Bastien Durel <bastien@durel.org>  Wed, 09 Jan 2019 15:53:09 +0100

postfix-tempmail2 (1.7.7) stable; urgency=medium

  * Upgrade Botan to 2.7.0

 -- Bastien Durel <bastien@durel.org>  Mon, 27 Aug 2018 16:41:06 +0200

postfix-tempmail2 (1.7.6) stable; urgency=medium

  * Upgrade Botan to 2.6.0

 -- Bastien Durel <bastien@durel.org>  Thu, 10 Apr 2018 15:54:27 +0200

postfix-tempmail2 (1.7.4) stable; urgency=medium

  * Upgrade Botan to 2.5.0

 -- Bastien Durel <bastien@durel.org>  Mon, 02 Apr 2018 17:11:54 +0200

postfix-tempmail2 (1.7.3) stable; urgency=medium

  * Upgrade Botan to 2.4.0

 -- Bastien Durel <bastien@durel.org>  Mon, 08 Jan 2018 17:31:11 +0100

postfix-tempmail2 (1.7.2) stable; urgency=medium

  * Handle --help option

 -- Bastien Durel <bastien@durel.org>  Thu, 14 Dec 2017 12:04:48 +0100

postfix-tempmail2 (1.7.1) stable; urgency=medium

  * Pass no-iv mode to generation server

 -- Bastien Durel <bastien@durel.org>  Wed, 18 Oct 2017 09:02:22 +0200

postfix-tempmail2 (1.7) stable; urgency=medium

  * Reduce size of localpart
  * Add no-iv mode to further reduce localpart size

 -- Bastien Durel <bastien@durel.org>  Tue, 17 Oct 2017 12:35:28 +0200

postfix-tempmail2 (1.6.4) stable; urgency=medium

  * Change generation socket path mode

 -- Bastien Durel <bastien@durel.org>  Tue, 10 Oct 2017 15:16:59 +0200

postfix-tempmail2 (1.6.3) stable; urgency=medium

  * Change generation socket default path

 -- Bastien Durel <bastien@durel.org>  Thu, 05 Oct 2017 11:56:39 +0200

postfix-tempmail2 (1.6.2) stable; urgency=medium

  * Change generation socket default path

 -- Bastien Durel <bastien@durel.org>  Thu, 05 Oct 2017 11:56:39 +0200

postfix-tempmail2 (1.6.1) stable; urgency=medium

  * Change generation socket default path

 -- Bastien Durel <bastien@durel.org>  Thu, 05 Oct 2017 11:56:39 +0200

postfix-tempmail2 (1.6) stable; urgency=medium

  * Add socket server/client to generate mails without access to config file

 -- Bastien Durel <bastien@durel.org>  Wed, 04 Oct 2017 10:41:40 +0200

postfix-tempmail2 (1.5.2) stable; urgency=medium

  * Really upgrade to botan 2.3 in package

 -- Bastien Durel <bastien@durel.org>  Tue, 03 Oct 2017 09:29:54 +0200

postfix-tempmail2 (1.5.1) stable; urgency=medium

  * Really upgrade to botan 2.3

 -- Bastien Durel <bastien@durel.org>  Tue, 03 Oct 2017 09:29:54 +0200

postfix-tempmail2 (1.5) stable; urgency=medium

  * Upgrade to botan 2.3

 -- Bastien Durel <bastien@durel.org>  Tue, 03 Oct 2017 09:29:54 +0200

postfix-tempmail2 (1.4) unstable; urgency=medium

  * Fix defaults & service file

 -- Bastien Durel <bastien@durel.org>  Thu, 29 Sep 2017 17:28:17 +0200

postfix-tempmail2 (1.3) unstable; urgency=medium

  * Minimized botan

 -- Bastien Durel <bastien@durel.org>  Thu, 29 Sep 2017 15:56:23 +0200

postfix-tempmail2 (1.2) unstable; urgency=medium

  * Provides description

 -- Bastien Durel <bastien@durel.org>  Thu, 29 Sep 2017 14:45:52 +0200

postfix-tempmail2 (1.1) unstable; urgency=medium

  * Check domain lenght
  * Do not put test config file in package

 -- Bastien Durel <bastien@durel.org>  Thu, 30 Sep 2017 13:02:26 +0200

postfix-tempmail2 (1) unstable; urgency=medium

  * Initial Release.

 -- Bastien Durel <bastien@durel.org>  Thu, 28 Sep 2017 17:32:16 +0200
