=== debian/control ===
Source: postfix-tempmail2
Section: unknown
Priority: optional
Maintainer: Bastien Durel <bastien@durel.org>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5), postfix, libboost-program-options-dev
Standards-Version: 3.9.8
Vcs-Git: https://git.geekwu.org/bastien/postfix-tempmail2.git
Vcs-Browser: https://git.geekwu.org/bastien/postfix-tempmail2

Package: postfix-tempmail2
Architecture: any
Depends: postfix, ${shlibs:Depends}, ${misc:Depends}
Description: Provides automatic, unpredictable, temporary email-addresses
 postfix-tempmail2 implements a Postfix socketmap table lookup service for
 temporary trashmail-like e-mail addresses.
 It is inspired by https://www.vennedey.net/postfix-tempmail
 Real address and expiration date are enciphered with Chacha20-poly1305,
 then base32-encoded. If a mail decrypt successfuly -- and expiry is not
 reached -- the table matches and returns the original email.
